Package com.macrofocus.transform

# Interface OneDScreenTransform

All Known Subinterfaces:
  `MutableOneDScreenTransform`

All Known Implementing Classes:
  `AbstractMutableOneDScreenTransform`, `ComplexOneDScreenTransform`, `SimpleOneDScreenTransform`, `ZoomingOneDScreenTransform`

public interface OneDScreenTransform
This interface represents transform from world to screen coordinates, and vice-versa.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addScreenTransformListener(ScreenTransformListener listener)`
  `void`
  `addWeakScreenTransformListener(ScreenTransformListener listener)`
  `int`
  `getScreenSize()`
  `Interval`
  `getWorldInterval()`
  `double`
  `getWorldMax()`
  `double`
  `getWorldMin()`
  `double`
  `getWorldRange()`
  `boolean`
  `isAffine()`
  `boolean`
  `isWorldCoordinatesInverted()`
  `void`
  `removeScreenTransformListener(ScreenTransformListener listener)`
  `void`
  `removeScreenTransformListeners()`
  `double`
  `screenToWorld(int screen)`
  `int`
  `worldToScreen(double world)`
  `double`
  `worldToScreenPrecise(double world)`

- ## Method Details

  - ### screenToWorld

    double screenToWorld(int screen)

  - ### worldToScreen

    int worldToScreen(double world)

  - ### worldToScreenPrecise

    double worldToScreenPrecise(double world)

  - ### getWorldInterval

    Interval getWorldInterval()

  - ### getScreenSize

    int getScreenSize()

  - ### isAffine

    boolean isAffine()

  - ### getWorldMin

    double getWorldMin()

  - ### getWorldMax

    double getWorldMax()

  - ### getWorldRange

    double getWorldRange()

  - ### isWorldCoordinatesInverted

    boolean isWorldCoordinatesInverted()

  - ### addScreenTransformListener

    void addScreenTransformListener(ScreenTransformListener listener)

  - ### addWeakScreenTransformListener

    void addWeakScreenTransformListener(ScreenTransformListener listener)

  - ### removeScreenTransformListener

    void removeScreenTransformListener(ScreenTransformListener listener)

  - ### removeScreenTransformListeners

    void removeScreenTransformListeners()